org.eclipse.wst.jsdt.chromium.debug.ui

## Class DialogUtils.ComboWrapper<E>

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.DialogUtils.ComboWrapper<E>

Enclosing class:
  DialogUtils

    public abstract static class DialogUtils.ComboWrapper<E>
    extends java.lang.Object

A wrapper around Combo that provides logic-level data-oriented access to the control. This is not a simply convenience wrapper, because Combo itself does not keep a real data, but only its string representation.

### Constructor Summary

Constructors
Constructor and Description
`ComboWrapper(Combo combo)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `addSelectionListener(SelectionListener listener)`
`Combo` `getCombo()`
`abstract E` `getSelected()`
`abstract void` `setSelected(E element)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComboWrapper

    public ComboWrapper(Combo combo)

### Method Detail

#### getCombo

    public Combo getCombo()

#### addSelectionListener

    public void addSelectionListener(SelectionListener listener)

#### getSelected

    public abstract E getSelected()

#### setSelected

    public abstract void setSelected(E element)